const express = require("express");
const {
  createServiceRecord,
  getServiceRecords,
  updateServiceRecord,
  deleteServiceRecord,
} = require("../controller/serviceRecordController");
const { requireAuth } = require("../middleware/auth");

const router = express.Router();

router.get("/", requireAuth, getServiceRecords);
router.post("/", requireAuth, createServiceRecord);
router.put("/:id", requireAuth, updateServiceRecord);
router.delete("/:id", requireAuth, deleteServiceRecord);

module.exports = router;
